package m05bBD;

/**
 * This class holds information about an order, 
 * which is stored in the database table <tt>m05XXt00_solicitudes</tt>. 
 * The table <tt>m05XXt00_solicitudes</tt> is defined in the database as follows:
 * This class follows the convention of a JavaBean.
 *
 */
public class m05bSolicitud
    implements java.io.Serializable {

  private static final long serialVersionUID = 1L;
	
  private String sol_codigo			= "";
  private String sol_fecha			= "";
  private String sol_telefono		= "";
  private String sol_solicitante	= "";
  private String sol_dni			= "";
  private String sol_domicilio		= "";
  private String sol_municipio		= "";
  private String sol_codigoPostal	= "";
  private String sol_puesto			= "";
  private String sol_departamento	= "";
  private String sol_motivo			= "";
  private String sol_fechaIni		= "";
  private String sol_horaIni		= "";
  private String sol_fechaFin		= "";
  private String sol_horaFin		= "";
  private String sol_estado			= "";

  
  public String getSol_codigo() {
	  return sol_codigo;
  }
  public void setSol_codigo(String sol_codigo) {
	  this.sol_codigo = sol_codigo;
  }
  
  public String getSol_codigoPostal() {
	  return sol_codigoPostal;
  }
  public void setSol_codigoPostal(String sol_codigoPostal) {
	  this.sol_codigoPostal = sol_codigoPostal;
  }
  
  public String getSol_departamento() {
	  return sol_departamento;
  }
  public void setSol_departamento(String sol_departamento) {
	  this.sol_departamento = sol_departamento;
  }
  
  public String getSol_dni() {
	  return sol_dni;
  }
  public void setSol_dni(String sol_dni) {
	  this.sol_dni = sol_dni;
  }
	
  public String getSol_domicilio() {
	  return sol_domicilio;
  }
  public void setSol_domicilio(String sol_domicilio) {
	  this.sol_domicilio = sol_domicilio;
  }

  public String getSol_fecha() {
	  return sol_fecha;
  }
  public void setSol_fecha(String sol_fecha) {
	  this.sol_fecha = sol_fecha;
  }
  
  public String getSol_fechaFin() {
	  return sol_fechaFin;
  }
  public void setSol_fechaFin(String sol_fechaFin) {
	  this.sol_fechaFin = sol_fechaFin;
  }
  
  public String getSol_fechaIni() {
	  return sol_fechaIni;
  }
  public void setSol_fechaIni(String sol_fechaIni) {
	  this.sol_fechaIni = sol_fechaIni;
  }
  
  public String getSol_horaFin() {
	  return sol_horaFin;
  }
  public void setSol_horaFin(String sol_horaFin) {
	  this.sol_horaFin = sol_horaFin;
  }
	
  public String getSol_horaIni() {
	  return sol_horaIni;
  }
  public void setSol_horaIni(String sol_horaIni) {
	  this.sol_horaIni = sol_horaIni;
  }
  
  public String getSol_motivo() {
	  return sol_motivo;
  }
  public void setSol_motivo(String sol_motivo) {
	  this.sol_motivo = sol_motivo;
  }
	
  public String getSol_municipio() {
	  return sol_municipio;
  }
  public void setSol_municipio(String sol_municipio) {
	  this.sol_municipio = sol_municipio;
  }
  
  public String getSol_puesto() {
	  return sol_puesto;
  }
  public void setSol_puesto(String sol_puesto) {
	  this.sol_puesto = sol_puesto;
  }
  
  public String getSol_solicitante() {
	  return sol_solicitante;
  }
  public void setSol_solicitante(String sol_solicitante) {
	  this.sol_solicitante = sol_solicitante;
  }
  
  public String getSol_telefono() {
	  return sol_telefono;
  }
  public void setSol_telefono(String sol_telefono) {
	  this.sol_telefono = sol_telefono;
  }
  
  public String getSol_estado() {
	  return sol_estado;
  }
  public void setSol_estado(String sol_estado) {
	  this.sol_estado = sol_estado;
  }
  
  
  public String toString(){
    String s = "";

    s += "[Codigo solicitud = " + sol_codigo + "]";    
    s += "[Fecha solicitud = " + sol_fecha + "]";
    s += "[Telefono solicitud = " + sol_telefono + "]";
    s += "[Solicitante solicitud = " + sol_solicitante + "]";
    s += "[Dni solicitud = " + sol_dni + "]";
    s += "[Domicilio solicitud = " + sol_domicilio + "]";
    s += "[Municipio solicitud = " + sol_municipio + "]";
    s += "[CodigoPostal solicitud = " + sol_codigoPostal + "]";
    s += "[Puesto solicitud = " + sol_puesto + "]";
    s += "[Departamento solicitud = " + sol_departamento + "]";
    s += "[Motivo solicitud = " + sol_motivo + "]";
    s += "[FechaIni solicitud = " + sol_fechaIni + "]";
    s += "[HoraIni solicitud = " + sol_horaIni + "]";
    s += "[FechaFin asignacion = " + sol_fechaFin + "]";
    s += "[HoraFin asignacion = " + sol_horaFin + "]";
    s += "[Estado asignacion = " + sol_estado + "]";

    return s;
  }
}